Name:		SmillaEnlarger
Version:	0.9.0
Release:	%mkrel 5
Summary:	A tool to greatly resize pictures
Group:		Graphics
License:	GPLv3
URL:		http://sourceforge.net/projects/imageenlarger/
Source0:	%{name}_%{version}_source.tar.xz
Patch1:		linux_setting_path_fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}qt4-devel

%description
SmillaEnlarger is a small graphical tool (based on Qt) to resize, especially magnify bitmaps in high quality. The algorithm used  was written by the author.

%prep
%setup -q -n %{name}_%{version}_source
%patch1 -p2 -b .linux_setting_path_fix

%build
cd SmillaEnlargerSrc/
%define _qt_datadir %{_prefix}/%{_lib}/qt4
%qmake_qt4

%make

%install
# Binary file
install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
install -m 0755 SmillaEnlargerSrc/%{name} $RPM_BUILD_ROOT%{_bindir}
install -d -m 0755 $RPM_BUILD_ROOT%{_iconsdir}
install -m 0755 SmillaEnlargerSrc/smilla.png $RPM_BUILD_ROOT%{_iconsdir}

# Document files
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
for i in SmillaEnlargerSrc/docs/*.txt; do
  install -m 0644 $i $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
done
for i in SmillaEnlargerSrc/docs/*.rtf; do
  install -m 0644 $i $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
done
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/help/
for i in SmillaEnlargerSrc/help/*.html; do
  install -m 0644 $i $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/help/
done

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=smilla
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;2DGraphics;QT;X-Mandriva-Multimedia-Graphics;
MimeType=image/bmp;image/x-portable-bitmap;image/x-xbitmap;image/jpeg;
EOF
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%{_iconsdir}/smilla.png
%{_bindir}/*
%{_datadir}/*

%changelog
* Tue Aug 02 2016 adrianomorselli <adrianomorselli> 0.9.0-5uplos2012
- rebuild

* Thu Jul 05 2012 Neal <nealbrks0 at gmail dot com> 0.9.0-5pclos2012
- process

* Wed Jul 04 2012 Galen Seaman <galen.seaman@comcast.net> 0.9.0-5pclos2012
- build for 64-bit

* Tue Mar 27 2012 Galen Seaman <gseaman@clear.net> 0.9.0-4pclos2012
- Moves smillaenlarger.ini from user home directory to ~/.local/share/smillaenlarger

* Sat Jul 23 2011 Galen Seaman <gseaman2186@comcast.net> 0.9.0-3pclos2011
- Fixed .desktop icon

* Fri Jul 22 2011 Galen Seaman <gseaman2186@comcast.net> 0.9.0-2pclos2011
- Fixed .desktop file to point to %{name}

* Thu Jun 09 2011 Ertain <sirius-C at iname.com> 0.9.0-1pclos2011
- Initial package
